int tickcount=0;
double spread_0=0, spread_ossz=0, spread_min=100000, spread_max=0, spread_avg=0;
datetime sttime;
string cmt, cmt2;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init() {
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit() {
   Print(cmt);
   Print(cmt2);
   return(0);
}

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
   tickcount++;
   int nbars=iBars(Symbol(),Period());
   
   string ap=Symbol();
   
   double t_spread=MarketInfo(ap, MODE_SPREAD);
   spread_0=t_spread;
   if (t_spread>spread_max) { spread_max=t_spread; }
   if (t_spread<spread_min) { spread_min=t_spread; }

   spread_ossz+=t_spread;
   
   spread_avg=spread_ossz/tickcount;
   
   cmt="";   
   int t_dig=MarketInfo(ap, MODE_DIGITS);
   double t_point=MarketInfo(ap, MODE_POINT);
   double t_stopl=MarketInfo(ap, MODE_STOPLEVEL);
   double t_lots=MarketInfo(ap, MODE_LOTSIZE);
   double t_tickv=MarketInfo(ap, MODE_TICKVALUE);
   double t_ticks=MarketInfo(ap, MODE_TICKSIZE);
   double t_swpl=MarketInfo(ap, MODE_SWAPLONG);
   double t_swps=MarketInfo(ap, MODE_SWAPSHORT);
   double t_mrgi=MarketInfo(ap, MODE_MARGININIT);
   double t_mrgm=MarketInfo(ap, MODE_MARGINMAINTENANCE);
   double t_mrgh=MarketInfo(ap, MODE_MARGINHEDGED);
   double t_mrgrq=MarketInfo(ap, MODE_MARGINREQUIRED);
   double t_freeze=MarketInfo(ap, MODE_FREEZELEVEL);

   cmt=cmt+" bars: "+nbars+"\n";
   cmt=cmt+" digits: "+t_dig+"\n";
   cmt=cmt+" point: "+DoubleToStr(t_point,5)+"\n";
   cmt=cmt+" spread: "+DoubleToStr(t_spread,0)+"\n";
   cmt=cmt+" spread min: "+DoubleToStr(spread_min,0)+"";
   cmt=cmt+" max: "+DoubleToStr(spread_max,0)+"";
   cmt=cmt+" avg: "+DoubleToStr(spread_avg,1)+"";
   cmt=cmt+" ticks: "+tickcount+"\n";
   cmt=cmt+" stop level: "+DoubleToStr(t_stopl,5)+"\n";
   cmt=cmt+" lot size: "+DoubleToStr(t_lots,5)+"\n";
   cmt=cmt+" tick value: "+t_tickv+"\n";
   cmt=cmt+" tick size: "+DoubleToStr(t_ticks,5)+"\n";
   cmt=cmt+" swap long: "+DoubleToStr(t_swpl,5)+"\n";
   cmt=cmt+" swap short: "+DoubleToStr(t_swps,5)+"\n";
   cmt=cmt+" margin init: "+DoubleToStr(t_mrgi,5)+"\n";
   cmt=cmt+" margin maint: "+DoubleToStr(t_mrgm,5)+"\n";
   cmt=cmt+" margin hedg: "+DoubleToStr(t_mrgh,5)+"\n";
   cmt=cmt+" margin requ: "+DoubleToStr(t_mrgrq,5)+"\n";
   cmt=cmt+" freeze level: "+DoubleToStr(t_freeze,5)+"\n";

   double afm=AccountFreeMargin();

   cmt=cmt+" acc. free margin: "+DoubleToStr(afm,2)+"\n";
   
   int gi_880;
   string g_symbol_972;
   double gd_924;
   
   g_symbol_972 = Symbol();
   if (Digits < 4) {
      gd_924 = 0.01;
      gi_880 = 2;
   } else {
      gd_924 = 0.0001;
      gi_880 = 4;
   }

//   Comment(cmt);

cmt2="\n" 
+ "------------------------------------------------" 
+ "\n" 
+ "BROKER INFORMATION:" 
+ "\n" 
+ "Broker Company:      " + AccountCompany() 
+ "\n" 
+ "------------------------------------------------" 
+ "\n" 
+ "ACCOUNT INFORMATION:" 
+ "\n" 
+ "Account Name:          " + AccountName() 
+ "\n" 
+ "Account Number:       " + AccountNumber() 
+ "\n" 
+ "Account Leverage:     " + DoubleToStr(AccountLeverage(), 0) 
+ "\n" 
+ "Account Balance:       " + DoubleToStr(AccountBalance(), 2) 
+ "\n" 
+ "Account Currency:     " + AccountCurrency() 
+ "\n" 
+ "Account Equity:         " + DoubleToStr(AccountEquity(), 2) 
+ "\n" 
+ "------------------------------------------------" 
+ "\n" 
+ "MARGIN INFORMATION:" 
+ "\n" 
+ "Free Margin:              " + DoubleToStr(AccountFreeMargin(), 2) 
+ "\n" 
+ "Used Margin:              " + DoubleToStr(AccountMargin(), 2) 
+ "\n" 
+ "------------------------------------------------" 
+ "\n" 
+ "Actual Server Time:    " + TimeToStr(TimeCurrent(), TIME_SECONDS) 
+ "\n" 
+ "Current Spread:          " + DoubleToStr(MarketInfo(g_symbol_972, MODE_SPREAD) / MathPow(10, Digits - gi_880), Digits - gi_880) 
+ "\n" 
+ "------------------------------------------------" 
+ "\n" 
+ "" 
+ "\n" 
+ "------------------------------------------------" 
+ "\n";

Comment(cmt+cmt2);

   return(0);
}
//+------------------------------------------------------------------+